=== debian/changelog ===
openvibe (0.14.3+dfsg2-1~nd12.04+1) precise; urgency=low

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 09 Oct 2012 11:23:32 -0400

openvibe (0.14.3+dfsg2-1) UNRELEASED; urgency=low

  * Initial package. (Closes: #580247)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 12 Apr 2012 13:19:50 +0200
