=== debian/control ===
Source: openvibe
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~),
 cmake, pkg-config, libexpat1-dev, zlib1g-dev, libfreeimage-dev,
 libogre-dev, libois-dev, libitpp-dev, libboost-dev (>= 1.46),
 libboost-regex-dev, libalut-dev, libcegui-mk2-dev, libgtk2.0-dev,
 libx11-dev, libgsl0-dev, libvorbis-dev, liblapack-dev, libvrpn-dev
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/openvibe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/openvibe.git
Homepage: http://openvibe.inria.fr


Package: openvibe-libs
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, openvibe-data (= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Software platform for BCI (shared libraries)
 OpenViBE enables to design, test and use Brain-Computer Interfaces (BCI).
 OpenViBE is a software for real-time neurosciences (that is, for real-time
 processing of brain signals). It can be used to acquire, filter, process,
 classify and visualize brain signals in real time.
 . 
 The graphical user interface of OpenViBE is simple to access and very easy
 to use for creating BCI scenarios and saving them for later use.  In the
 designer, the available functions are listed in the right-hand window. The
 user simply drags and drops the selected functions in the left-hand window.
 He can then connect boxes together to add processing steps to the scenario
 being created. Lastly, the application is started by pressing the Play
 button to run the BCI.
 .
 OpenViBE is a library of functions written in C++ which can be integrated
 and applied quickly and easily using modules. The platform's main
 advantages are modularity, portability, availability of different tools for
 different types of user, including programmers and non-programmers,
 superior code performance and compatibility with virtual reality
 technologies.
 .
 The software also offers many 2D and 3D visualization tools to represent
 brain activity in real time. It is compatible with many EEG- and MEG-type
 machines because of its generic acquisition server.
 .
 OpenViBE offers many pre-configured scenarios for different applications
 including mental imagery, neurofeedback, P300 signals, etc...
 .
 This package contains the shared libraries.


Package: openvibe-dev
Section: libdevel
Architecture: any
Depends: neurodebian-popularity-contest, openvibe-libs (= ${binary:Version}), ${misc:Depends}
Description: Software platform for BCI (development files)
 OpenViBE enables to design, test and use Brain-Computer Interfaces (BCI).
 OpenViBE is a software for real-time neurosciences (that is, for real-time
 processing of brain signals). It can be used to acquire, filter, process,
 classify and visualize brain signals in real time.
 . 
 The graphical user interface of OpenViBE is simple to access and very easy
 to use for creating BCI scenarios and saving them for later use.  In the
 designer, the available functions are listed in the right-hand window. The
 user simply drags and drops the selected functions in the left-hand window.
 He can then connect boxes together to add processing steps to the scenario
 being created. Lastly, the application is started by pressing the Play
 button to run the BCI.
 .
 OpenViBE is a library of functions written in C++ which can be integrated
 and applied quickly and easily using modules. The platform's main
 advantages are modularity, portability, availability of different tools for
 different types of user, including programmers and non-programmers,
 superior code performance and compatibility with virtual reality
 technologies.
 .
 The software also offers many 2D and 3D visualization tools to represent
 brain activity in real time. It is compatible with many EEG- and MEG-type
 machines because of its generic acquisition server.
 .
 OpenViBE offers many pre-configured scenarios for different applications
 including mental imagery, neurofeedback, P300 signals, etc...
 .
 This package contains the development files.


Package: openvibe-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: Software platform for BCI (Data files)
 OpenViBE enables to design, test and use Brain-Computer Interfaces (BCI).
 OpenViBE is a software for real-time neurosciences (that is, for real-time
 processing of brain signals). It can be used to acquire, filter, process,
 classify and visualize brain signals in real time.
 . 
 The graphical user interface of OpenViBE is simple to access and very easy
 to use for creating BCI scenarios and saving them for later use.  In the
 designer, the available functions are listed in the right-hand window. The
 user simply drags and drops the selected functions in the left-hand window.
 He can then connect boxes together to add processing steps to the scenario
 being created. Lastly, the application is started by pressing the Play
 button to run the BCI.
 .
 OpenViBE is a library of functions written in C++ which can be integrated
 and applied quickly and easily using modules. The platform's main
 advantages are modularity, portability, availability of different tools for
 different types of user, including programmers and non-programmers,
 superior code performance and compatibility with virtual reality
 technologies.
 .
 The software also offers many 2D and 3D visualization tools to represent
 brain activity in real time. It is compatible with many EEG- and MEG-type
 machines because of its generic acquisition server.
 .
 OpenViBE offers many pre-configured scenarios for different applications
 including mental imagery, neurofeedback, P300 signals, etc...
 .
 This package contains the data files.


Package: openvibe-bin
Architecture: any
Depends: neurodebian-popularity-contest, openvibe-libs (= ${binary:Version}),
         openvibe-data (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Software platform for BCI (tools and demos)
 OpenViBE enables to design, test and use Brain-Computer Interfaces (BCI).
 OpenViBE is a software for real-time neurosciences (that is, for real-time
 processing of brain signals). It can be used to acquire, filter, process,
 classify and visualize brain signals in real time.
 . 
 The graphical user interface of OpenViBE is simple to access and very easy
 to use for creating BCI scenarios and saving them for later use.  In the
 designer, the available functions are listed in the right-hand window. The
 user simply drags and drops the selected functions in the left-hand window.
 He can then connect boxes together to add processing steps to the scenario
 being created. Lastly, the application is started by pressing the Play
 button to run the BCI.
 .
 OpenViBE is a library of functions written in C++ which can be integrated
 and applied quickly and easily using modules. The platform's main
 advantages are modularity, portability, availability of different tools for
 different types of user, including programmers and non-programmers,
 superior code performance and compatibility with virtual reality
 technologies.
 .
 The software also offers many 2D and 3D visualization tools to represent
 brain activity in real time. It is compatible with many EEG- and MEG-type
 machines because of its generic acquisition server.
 .
 OpenViBE offers many pre-configured scenarios for different applications
 including mental imagery, neurofeedback, P300 signals, etc...
 .
 This package contains differents executable including acquisition server,
 tools and demos.


Package: openvibe-plugins
Section: libs
Architecture: any
Depends: neurodebian-popularity-contest, openvibe-libs (= ${binary:Version}),
         openvibe-data (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Software platform for BCI (plugins)
 OpenViBE enables to design, test and use Brain-Computer Interfaces (BCI).
 OpenViBE is a software for real-time neurosciences (that is, for real-time
 processing of brain signals). It can be used to acquire, filter, process,
 classify and visualize brain signals in real time.
 . 
 The graphical user interface of OpenViBE is simple to access and very easy
 to use for creating BCI scenarios and saving them for later use.  In the
 designer, the available functions are listed in the right-hand window. The
 user simply drags and drops the selected functions in the left-hand window.
 He can then connect boxes together to add processing steps to the scenario
 being created. Lastly, the application is started by pressing the Play
 button to run the BCI.
 .
 OpenViBE is a library of functions written in C++ which can be integrated
 and applied quickly and easily using modules. The platform's main
 advantages are modularity, portability, availability of different tools for
 different types of user, including programmers and non-programmers,
 superior code performance and compatibility with virtual reality
 technologies.
 .
 The software also offers many 2D and 3D visualization tools to represent
 brain activity in real time. It is compatible with many EEG- and MEG-type
 machines because of its generic acquisition server.
 .
 OpenViBE offers many pre-configured scenarios for different applications
 including mental imagery, neurofeedback, P300 signals, etc...
 .
 This package contains the plugins.
