=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic -Wl,-as-needed
DEB_BUILD_MAINT_OPTIONS=hardening=-format
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

# To make cmake build verbose
export VERBOSE=1

%:
	dh  $@

override_dh_auto_clean:
	rm -rf local-tmp
